# Interface methods for submodule: LinearInterpolateImageFunction
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InterpolateImageFunctionProxy as _InterpolateImageFunctionProxy


# Interface methods for class: LinearInterpolateImageFunction
class LinearInterpolateImageFunctionProxy(_InterpolateImageFunctionProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	@overload
	def EvaluateAtContinuousIndex(self, index) -> Sequence[float]:
		""""""
		...

	@overload
	def EvaluateAtContinuousIndex(self, index) -> float:
		""""""
		...

	@overload
	def EvaluateAtContinuousIndex(self, index) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def EvaluateAtContinuousIndex(self, index) -> Tuple[int, int, int]:
		""""""
		...

	def GetRadius(self) -> Sequence[int]:
		""""""
		...

